Unbind
Services

Delete Service

Permanently delete a service, its deployments, and its config. Attached volumes are not deleted, they remain in the environment and can be attached to another service. If it was the last service in its service group, the group is deleted too.

DELETE
/services/delete

Permanently delete a service, its deployments, and its config. Attached volumes are not deleted, they remain in the environment and can be attached to another service. If it was the last service in its service group, the group is deleted too.

Authorization

bearerAuth
AuthorizationBearer <token>

Access token or API key (unb_...) passed as Authorization: Bearer <token>.

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

environment_id*string
project_id*string
service_id*string
team_id*string

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X DELETE "https://example.com/services/delete" \  -H "Content-Type: application/json" \  -d '{    "environment_id": "string",    "project_id": "string",    "service_id": "string",    "team_id": "string"  }'
{  "data": {    "deleted": true,    "id": "string"  }}